D4Science Infrastructure - Task #9688

handle the applications provisioned using maven_artifact correctly
Sep 13,2017 05:58 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 13, 2017
Priority: Normal Due date:
Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable
Infrastructure: Development, Pre-Production,

Production
Description

We have to remove the old application directory or the old jar before installing the new one.

History

#1 - Sep 13, 2017 05:59 PM - Andrea Dell'Amico

The involved roles. They aren't all broken, but anyway:

accounting-service
accounting_aggregator_se_plugin
accounting_insert_storage_se_plugin
accounting_rstudio_se_plugin
catalogue_ws

dataminer_app
dm_pool_manager

fhn_manager

gcube—ocauth
geoserver_connector
home_library

ic_proxy
is_exporter_se_plugin
is_sweeper_se_plugin
oscar_importer_se_plugin
quota_service

r_connector
resource_checker_se_plugin
resource_registry
sdi_service
sharelatex_connector
smart_executor
social-networking-library-ws
spd_service

tabular_data

I'm not going to open a ticket for each one, I'll update this task.

#2 - Sep 13,2017 06:00 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Sep 13, 2017 06:36 PM - Andrea Dell'Amico
The procedure will be:
® Download the artifact using the maven_artifact plugin (war)

Copy the war file as webapps/app.war (if the file already existed but it's different from the new one, it will be overwritten
¢ Execute all the other tasks

¢ Restart tomcat if needed

¢ Download the artifact using the maven_artifact plugin (jar, or jar-with-dependencies)

If something appened
Remove the old app (or jar file)
Create the webapps/app directory when needed

Expand the war file or install the new jar into the definitive place

e Execute all the other tasks
e Restart tomcat if needed

This way there'll be no more need to treat the app upgrades as special cases using dedicated variables.

#4 - Sep 13, 2017 07:46 PM - Andrea Dell'Amico

| converted those ones so far:

accounting-service
accounting_aggregator_se_plugin
accounting_insert_storage_se_plugin
accounting_rstudio_se_plugin

#5 - Sep 14, 2017 01:45 PM - Andrea Dell'Amico

dataminer-app has been fixed too.

#6 - Sep 14, 2017 02:23 PM - Luca Frosini

The pluging is accounting_insert_rstudio_se_plugin not accounting_rstudio_se_plugin.

#7 - Sep 14,2017 02:30 PM - Andrea Dell'Amico

Luca Frosini wrote:

The pluging is accounting_insert_rstudio_se_plugin not accounting_rstudio_se_plugin.

The names inside the role are correct, only the role name differs. Feel free to change it and report the changes into smartgears-node(-upgrade).yml

#8 - Sep 14, 2017 07:02 PM - Andrea Dell'Amico

Remaining roles:

fhn_manager
geoserver_connector
home_library

ic_proxy
is_exporter_se_plugin
is_sweeper_se_plugin
oscar_importer_se_plugin
quota_service
r_connector
resource_checker_se_plugin
resource_registry
sdi_service
sharelatex_connector
smart_executor
spd_service

tabular_data

#9 - Sep 14, 2017 07:03 PM - Andrea Dell'Amico
- % Done changed from 0 to 30

#10 - Sep 27,2017 07:09 PM - Andrea Dell'’Amico

Important note: I've also made the change for the smartgears_distribution. This means that we can (must?) remove the timestamp from the
distribution versions that appear in the various playbooks.

And this means that we do not need to force special variables to manage the upgrades: when a new distribution is downloaded, the upgrade tasks are
activated.

#12 - Nov 24, 2017 05:14 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

I'm closing this one. | fixed all the roles but the smart executor plugins ones. They will be modified when the uber jars will be available, I'm going to
open a ticket for them.

Apr 30, 2025 3/3


http://www.tcpdf.org

